package org.dromara.zjk.service;

import org.dromara.common.core.domain.R;
import org.dromara.zjk.domain.ZjkExpertChart;
import com.baomidou.mybatisplus.extension.service.IService;
import org.dromara.zjk.domain.dto.SimpleExpertDto;
import org.dromara.zjk.domain.vo.ChartBaseVO;
import org.dromara.zjk.domain.vo.ChartRelExpertVO;

import java.util.List;

/**
* @author EDY
* @description 针对表【zjk_expert_chart(专家画像)】的数据库操作Service
* @createDate 2024-11-13 10:20:57
*/
public interface ZjkExpertChartService extends IService<ZjkExpertChart> {

    R<ChartBaseVO> getChartBase(Long userId);
    void handleExpertChart();

    R<ChartRelExpertVO> getSameOtherData(Long userId);

    R<List<SimpleExpertDto>> getExperts();
}
